| API Docs for SAX and DOM |

Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# XMLRegisterCleanup Class Reference

List of all members.

## Public Types

typedef void(* | XMLCleanupFn )()

## Public Member Functions

void | doCleanup ()
void | registerCleanup (XMLCleanupFn cleanupFn)
void | unregisterCleanup ()
| XMLRegisterCleanup ()

## Member Typedef Documentation

typedef void(* XMLRegisterCleanup::XMLCleanupFn)()

## Constructor & Destructor Documentation

XMLRegisterCleanup::XMLRegisterCleanup | ( |  | ) |

## Member Function Documentation

void XMLRegisterCleanup::doCleanup | ( |  | ) |

void XMLRegisterCleanup::registerCleanup | ( | XMLCleanupFn | cleanupFn | ) |

void XMLRegisterCleanup::unregisterCleanup | ( |  | ) |

The documentation for this class was generated from the following file:

- XMLRegisterCleanup.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.